﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.ComponentModel;
using System.Runtime.InteropServices;

namespace UltService
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void notifyIcon1_MouseClick(object sender, MouseEventArgs e)
        {
            this.ShowInTaskbar = true;
            this.Visible = true;
            notifyIcon1.Visible = false;
        }

        private void button1_Click(object sender, EventArgs e)
        {
          
            this.ShowInTaskbar = false;
            this.Visible = false;
            notifyIcon1.Visible = true;
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            if(checkBox1.Checked)
            {
                timer1.Start();
            }
            else
            {
                timer1.Stop();
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            try
            {
                MakeItHappen.MyMover(0, 0);
            }catch(Exception exp)
            {

            }
        }
    }


    class MakeItHappen
    {
        internal const int INPUT_MOUSE = 0;
        internal const int MOUSEEVENTF_MOVE=0x0001;
        internal struct INPUT
        {
            public int TYPE;
            public IntPtr dwExtraInfo;
            public int dwFlags;
            public int dx;
            public int dy;
            public int mouseData;
            public int time;
        }

        [DllImport ("user32.dll", SetLastError = true)]
        private static extern uint SendInput (uint nInputs, ref INPUT pInputs, int cbSize);

        public static void MyMover(int dx, int dy)
        {
            var inp = new INPUT();
            inp.TYPE = MakeItHappen.INPUT_MOUSE;
            inp.dx = dx;
            inp.dy = dy;
            inp.mouseData = 0;
            inp.dwFlags = MakeItHappen.MOUSEEVENTF_MOVE;
            inp.time = 0;
            inp.dwExtraInfo = (IntPtr)0;
            SendInput(1, ref inp, 28);
        }


    }

}
